Anonymous Login
2016-09-27 07:16 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
06980Bug reports[All Projects] Survey takingpublic2012-12-04 13:16
Reporterjussibus 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06980: Numerical input strips zeros
DescriptionI have a numerical input field in a survey. If I input, for example, '1000' to the field and submit the survey, the db table has '1000.0000000000' but the 'Responses and statistics' in the LimeSurvey admin shows only '1'. I noticed that the the trailing zeros are always stripped when viewing the responses in 'Responses and statistics'.
Steps To Reproduce1) Create a survey with numerical input.
2) Take the survey and input, for example, 1000 in the numerical input field.
3) Check the responses in "Responses and statistics"
4) Notice "1" in the response
Complete LimeSurvey version number (& build)121127
I will donate to the project if issue is resolvedNo
BrowserSafari 6.0.2
Database & DB-Version164
Operating System (Server)OSX
Webserver software & versionApache/2.0.64
PHP Version5.3.5
Attached Files

-Relationships
+Relationships

-Notes

~22667

jussibus (reporter)

Sorry, the first lss file uploaded was wrong. Use the next one (numerical_input_issue_correct.lss)!

~22697

DenisChenu (developer)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10555

~22700

DenisChenu (developer)

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10559

~22712

mdekker (developer)

Last edited: 2012-11-29 16:13

View 2 revisions

Just to make sure we don't forget to fix before release... see my comment on git
(I had error on show response screen)

~22713

DenisChenu (developer)

github are on error actually.

Review it now, thank you

~22714

DenisChenu (developer)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10573

~22715

DenisChenu (developer)

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10574

~22863

c_schmitz (administrator)

LimeSurvey 2.0+ build 121204 released.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-11-29 09:16 jussibus New Issue
2012-11-29 09:16 jussibus File Added: numerical_input_issue.lss
2012-11-29 09:34 jussibus File Added: numerical_input_issue_correct.lss
2012-11-29 09:35 jussibus Note Added: 22667
2012-11-29 09:36 jussibus File Added: numerical_input.png
2012-11-29 09:36 jussibus File Added: numerical_input_response.png
2012-11-29 13:02 DenisChenu Assigned To => DenisChenu
2012-11-29 13:02 DenisChenu Status new => assigned
2012-11-29 13:42 DenisChenu Changeset attached => LimeSurvey master 2b839f97
2012-11-29 13:42 DenisChenu Note Added: 22697
2012-11-29 13:42 DenisChenu Resolution open => fixed
2012-11-29 13:47 DenisChenu Changeset attached => LimeSurvey 2.1 cd7b608c
2012-11-29 13:47 DenisChenu Note Added: 22700
2012-11-29 13:47 DenisChenu Status assigned => resolved
2012-11-29 13:47 DenisChenu Fixed in Version => 2.00+
2012-11-29 16:12 mdekker Note Added: 22712
2012-11-29 16:12 mdekker Status resolved => feedback
2012-11-29 16:12 mdekker Resolution fixed => reopened
2012-11-29 16:13 mdekker Note Edited: 22712 View Revisions
2012-11-29 16:23 DenisChenu Note Added: 22713
2012-11-29 18:09 DenisChenu Changeset attached => LimeSurvey master 2d9fb43b
2012-11-29 18:09 DenisChenu Note Added: 22714
2012-11-29 18:12 DenisChenu Changeset attached => LimeSurvey 2.1 59aca5f4
2012-11-29 18:12 DenisChenu Note Added: 22715
2012-11-29 18:34 DenisChenu Status feedback => resolved
2012-11-29 18:34 DenisChenu Resolution reopened => fixed
2012-12-04 13:16 c_schmitz Note Added: 22863
2012-12-04 13:16 c_schmitz Status resolved => closed
+Issue History